Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class CachingTreeModelDecorator

    java.lang.Object
      com.tonbeller.wcf.tree.TreeModelDecorator
          com.tonbeller.wcf.tree.CachingTreeModelDecorator

All Implemented Interfaces:
  DecoratedTreeModel, TreeModel

public class CachingTreeModelDecorator
extends TreeModelDecorator

a caching tree model

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.tree.TreeModel
`EMPTY_MODEL`

Constructor Summary
`CachingTreeModelDecorator(TreeModel decoree)` creates a CachingTreeModel that uses HashMap for implementation
`CachingTreeModelDecorator(TreeModel decoree, java.util.Comparator nodeComparator)` creates a CachingTreeModel that uses TreeMap for implementation

Method Summary
`java.lang.Object[]` | `getChildren(java.lang.Object node)`
`java.lang.Object` | `getParent(java.lang.Object node)`
`java.lang.Object[]` | `getRoots()` returns the root members of the tree.
`boolean` | `hasChildren(java.lang.Object node)`

Methods inherited from class com.tonbeller.wcf.tree.TreeModelDecorator
`addTreeModelChangeListener, fireModelChanged, getDecoree, removeTreeModelChangeListener, setDecoree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingTreeModelDecorator

    public CachingTreeModelDecorator(TreeModel decoree)

  creates a CachingTreeModel that uses HashMap for implementation

### CachingTreeModelDecorator

    public CachingTreeModelDecorator(TreeModel decoree,
                                     java.util.Comparator nodeComparator)

  creates a CachingTreeModel that uses TreeMap for implementation

Method Detail

### getRoots

    public java.lang.Object[] getRoots()

  Description copied from interface: `TreeModel`
  returns the root members of the tree.

  Specified by:
    `getRoots` in interface `TreeModel`
  Overrides:
    `getRoots` in class `TreeModelDecorator`

### hasChildren

    public boolean hasChildren(java.lang.Object node)

  Specified by:
    `hasChildren` in interface `TreeModel`
  Overrides:
    `hasChildren` in class `TreeModelDecorator`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object node)

  Specified by:
    `getChildren` in interface `TreeModel`
  Overrides:
    `getChildren` in class `TreeModelDecorator`

### getParent

    public java.lang.Object getParent(java.lang.Object node)

  Specified by:
    `getParent` in interface `TreeModel`
  Overrides:
    `getParent` in class `TreeModelDecorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD